Gradient nodes
~~~~~~~~~~~~~~

The **Gradient**, **Circular Gradient** and **Radial Gradient** nodes generate
a color, user defined gradient.

.. image:: images/node_simple_gradient.png
	:align: center

Inputs
++++++

The gradient nodes do not accept any input.

Outputs
+++++++

The gradient nodes generate a single color gradient image.

Parameters
++++++++++

The **Gradient** nodes accept the following parameters:

* the *number of repetitions* of the gradient
* the *rotation angle* (only for the linear **Gradient** node)
* the *gradient*

Example images
++++++++++++++

.. image:: images/node_gradient_samples.png
	:align: center
